$(document).ready(InitAjax);

function InitAjax(){
  $.ajaxSetup({
    type: 'POST',
    contentType: 'application/json',
    dataType: 'json',
    error: function(error){
      alert('An error occured while processing the AJAX request.');
    }
  });
}

function FormatPrice(price){
  if (price>100) {return FormatPriceRound(price);}
  if (price>=1) {return price.toFixed(2);}
  if (price==0) {return '0';}
  s = price.toFixed(12);
  for (let i=2; i<s.length; i++){
    if (s[i]!=='0'){
      return s.substring(0,i+3);
    }
  }
  return s;
}

function FormatPriceRound(price){
  return price.toFixed(0).replace(/\B(?=(\d{3})+(?!\d))/g, " ");
}

function StopEvent(btn){
  $(btn).on('click',function(event){event.preventDefault();});
}

function Refresh(){
  window.location.reload();
}

function RandomFloat(min,max){
  return Math.random()*(max-min)+min;
}