$(document).ready(Init);

function Init(){
  $('#btnimg-add').on('click',ActionAdd);
  $('img[data-action="edit"]').each(function(){$(this).on('click',function(){ActionEdit($(this).closest('tr'));});});
  $('img[data-action="delete"]').each(function(){$(this).on('click',function(){ActionDelete($(this).closest('tr'));});});
}

function ActionAdd(){
  $('#write-form').submit();
}

function ActionEdit(tr){
  $('#ide').val($(tr).data('ide'));
  $('#write-form').submit();
}

function ActionDelete(tr){
  let confirmation = confirm('Delete '+$(tr).data('ide')+' from '+$('#table').val()+' ?');
  if(!confirmation) return;
  $.ajax({
    url: '/ajax-database-delete',
    data: JSON.stringify({table: $('#table').val(), ide: $(tr).data('ide')}),
    success: function(response){
      $(tr).remove();
    }
  });
}