var Delay = -1;

$(document).ready(Init);

function Init(){
  Update(-1);
  $('button').on('click',function(){Update(0);});
  $('input[name="auto-update"]').on('change',RadioChange);
  setInterval(function(){Update(Delay);},10000)
}

function Update(delay){
  $.ajax({
    url: '/ajax-index-update',
    data: JSON.stringify({'delay':delay}),
    success: function(response){
      UpdateHtml(response.total_value, response.last_update);
    }
  });
}

function RadioChange(){
  Delay = parseInt($('input[name="auto-update"]:checked').val());
}

function UpdateHtml(TotalValue, LastUpdate){
  $('#total-value').text(FormatPrice(TotalValue)+' $');
  $('#last-update span').text(LastUpdate);
  if (TotalValue<1000){animal = 'shrimp';}
  else if (TotalValue<4000){animal = 'crab';}
  else if (TotalValue<16000){animal = 'octopus';}
  else if (TotalValue<64000){animal = 'fish';}
  else if (TotalValue<256000){animal = 'dolphin';}
  else if (TotalValue<1000000){animal = 'shark';}
  else if (TotalValue<4000000){animal = 'whale';}
  else{animal = 'humpback';}
  $('#animal img.'+animal).addClass('selected');
}